package com.logicbig.example;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.Bean;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurerAdapter;

@SpringBootApplication
public class ExampleMain {
    
    @Bean
    public WebMvcConfigurer configure () {
        return new WebMvcConfigurerAdapter() {
            @Override
            public void addCorsMappings (CorsRegistry registry) {
                registry.addMapping("/test2")
                        .allowedOrigins("http://localhost:9000")
                        .allowedMethods("GET", "POST");
            }
        };
    }
    
    public static void main (String[] args) {
        SpringApplication.run(ExampleMain.class, args);
    }
}